Fetching Health Reports' Metadata

Over 1000 health reports are available over the SD API. You can get descriptive metadata of the health reports before generating them for a particular profile. This section deals with fetching non-personalized information of the health reports.

Listing Report Summaries

To get the summary of all health reports offered by SelfDecode, use the GET /report-summary/ endpoint. For details regarding available query params and response fields, refer to the endpoint.

Example Request

GET https://selfdecode.com/service/b2b-integrations/report-summary/

Example Response

[
    {
        "id": "001b9f8d-bd45-4404-b31b-37e2a2b66dd5",
        "name": "Canker Sores",
        "report_type": "standard",
        "is_deprecated": false,
        "area": [
            "dental & mouth health"
        ],
        "summary": "Small mouth ulcers that are very common, potentially leading to discomfort and difficulty eating.",
        "illustration": "https://selfdecode.com/cdn/media/health-analysis/Mouth_Ulcers.svg",
        "visible_to_genders": [
            "Male",
            "Female"
        ],
        "listing_type": "medicinal",
        "image": "https://selfdecode.com/cdn/media/health-analysis/Mouth_Ulcers-Icon.png",
        "created_at": "2022-07-15"
    },
    {
        "id": "007a6b1c-1d3b-48f5-9a8f-6bb6c646a735",
        "name": "Stretch Marks",
        "report_type": "standard",
        "is_deprecated": false,
        "area": [
            "skin & beauty"
        ],
        "summary": "Skin elasticity-related condition that can result from rapid growth, affecting various body parts and common in both genders.",
        "illustration": null,
        "visible_to_genders": [
            "Male",
            "Female"
        ],
        "listing_type": "medicinal",
        "image": null,
        "created_at": "2023-02-18"
    },
    ...
]

Retrieving Report Details

To get details of the metadata for a particular health report, use the GET /report/{id}/ endpoint, using a report ID returned from the summary endpoint. For details regarding the response fields, refer to the endpoint.

Example Request

GET https://selfdecode.com/service/b2b-integrations/report/001b9f8d-bd45-4404-b31b-37e2a2b66dd5

Example Response

{
    "id": "001b9f8d-bd45-4404-b31b-37e2a2b66dd5",
    "name": "Canker Sores",
    "report_type": "standard",
    "is_deprecated": false,
    "area": [
        "dental & mouth health"
    ],
    "summary": "Small mouth ulcers that are very common, potentially leading to discomfort and difficulty eating.",
    "illustration": "https://selfdecode.com/cdn/media/health-analysis/Mouth_Ulcers.svg",
    "visible_to_genders": [
        "Male",
        "Female"
    ],
    "listing_type": "medicinal",
    "image": "https://selfdecode.com/cdn/media/health-analysis/Mouth_Ulcers-Icon.png",
    "created_at": "2022-07-15",
    "slug": "canker-sores",
    "icon": null,
    "version": "1.1.1",
    "quality_of_evidence": 2,
    "text": "<p>Mouth ulcers, or canker sores, are known in the medical world as aphthous ulcers. They’re one of the oldest described medical issues: Hippocrates coined the word “<i>aphthai</i>” to describe diseases of the mouth in the 4th century B.C. [<a href=\"https://pubmed.ncbi.nlm.nih.gov/11203919/\"><u>R</u></a>]</p><p>&nbsp;</p><p>Canker sores are small, shallow, and painful ulcerations on the sides of the tongue and soft surfaces of the mouth. If you’ve experienced one, you’re not alone- 1 in 4 people may be affected by mouth ulcers at any time [<a href=\"https://www.ncbi.nlm.nih.gov/pmc/articles/PMC3935903/#:~:text=The%20estimated%20point%20prevalence%20of,the%20population%20worldwide%20(1).\"><u>R</u></a>].</p><p>&nbsp;</p><p>While their exact cause isn’t clear, certain factors such as injuries to the inside of the mouth, poor nutrition, or stress may increase the likelihood of their development.</p><p>&nbsp;</p><p><strong>Genetics </strong>is another contributing factor. Moreover, it may interact with the above-mentioned factors to increase your risk of developing these annoying injuries.</p><p>&nbsp;</p><p>For instance, canker sores are more likely to develop in people whose diet is poor in one or more B vitamins. Those with a particular <a href=\"https://selfdecode.com/app/gene/MTHFR\"><i><u>MTHFR</u></i></a> gene variant may have lower levels of B vitamins, potentially increasing their odds of canker sores [<a href=\"https://www.ncbi.nlm.nih.gov/pmc/articles/PMC1852731/\"><u>R</u></a>, <a href=\"https://pubmed.ncbi.nlm.nih.gov/10780318/\"><u>R</u></a>, <a href=\"https://www.ncbi.nlm.nih.gov/pmc/articles/PMC6294092/\"><u>R</u></a>, <a href=\"https://pubmed.ncbi.nlm.nih.gov/23665953/\"><u>R</u></a>].</p><p><br>Likewise, people with one <a href=\"https://selfdecode.com/app/gene/DRD2/\"><i><u>DRD2</u></i></a> gene variant may be more prone to stress, which is a trigger for recurrent canker sores<strong> </strong>[<a href=\"https://pubmed.ncbi.nlm.nih.gov/29278022/\"><u>R</u></a>, <a href=\"https://www.ncbi.nlm.nih.gov/pmc/articles/PMC5958988/\"><u>R</u></a>, <a href=\"https://pubmed.ncbi.nlm.nih.gov/31972866/\"><u>R</u></a>].</p><p>&nbsp;</p><p><strong>Read on to find out more about:</strong></p><ul><li><strong>How your genetics play a role in the development of canker sores</strong></li><li><strong>Your genetic risk score based on almost 800 genetic variants</strong></li><li><strong>Personalized recommendations based on your genetics</strong></li></ul>",
    "text_header": "Introduction",
    "report_sections": [],
    "related_reports": [
        "6d8cf3d8-b3de-404f-a67c-c15fb7ceaaa2",
        "90c99ad3-66b4-421a-b49f-6006d5c980b6",
        "e7d4b0c6-a760-4ca7-b5ed-b46aefc9aaff",
        "5a05fa11-39c7-4332-bed8-a0d95ba9f6db",
        "5a94f46f-0fa6-433d-8d0e-fce83c570e98",
        "903355ed-67e0-4efc-a1fc-b5104d7a71d5",
        "497adb21-c0fa-488f-9c90-29fb8e801edb",
        "8bb96fdb-0fe5-41b1-8db1-feffedc5f527"
    ],
    "impacting_reports": [],
    "references": []
}